Subject: Re: [PATCH net-next] net: Remove VRF change to udp_sendmsg

From: David Ahern <[email-masked]>
Date: Mon, 31 Aug 2015 11:49:55 -0600

On 8/31/15 11:22 AM, Tom Herbert wrote:
> It's a major departure from current convention. The source address of
> the packet should be set before doing ip_send_skb. In UDP unconnected
> case ip_route_output_flow calls inet_select_addr. AKAIK there is no
> provision for not setting the source address and relying on the output
> device to do this in its transmit routine.

BTW, one other clarification the code setting the source address is NOT 
in the xmit function but the dst.output function. The VRF device uses a 
dst to direct packets to it. The output function (equivalent to 
ip_output) is what sets the source address if necessary.